<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Hausmeister\Raumbelegung\KursDetails\Detailsreiter\Termine\ShowFilterTermine;

class HmShowFilterTermineUseCase extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Termine\ShowFilterTermine\ShowFilterTermineUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_RAUMBELEGUNG_HM;
  }

  public static function getToolSectionId()
  {
    return 140;
  }

  public function hasAccess($pToolSectionId = null)
  {
    if (!parent::hasAccess(341)) {
      return false;
    }
    if (!$this->isRechtAllowed('341.1.3')) {
      return false;
    }

    return true;
  }
}